Zonemaster::Test::Example(3pm)

NAME
Zonemaster::Test::Example - example module showing the expected structure of Zonemaster test modules

SYNOPSIS
    my @results = Zonemaster::Test::Example->all($zone);

METHODS

all($zone)
    Runs the default set of tests and returns a list of log entries made by the tests.

metadata()
    Returns a reference to a hash, the keys of which are the names of all test methods in the module, and the corresponding values are references to lists with all the tags that the method can use in log entries.

translation()
    Returns a reference to a nested hash, where the outermost keys are language codes, the keys below that are message tags and their values are translation strings.

policy()
    Returns a reference to a hash with the default policy for the module. The keys are message tags, and the corresponding values are their default log levels.

version()
    Returns a version string for the module.

TESTS

placeholder($zone)
    Since this is an example module, this test does nothing except return a single log entry.